<?php

/**
 * Block Styles
 *
 * @link https://developer.wordpress.org/reference/functions/register_block_style/
 *
 * @package nexum
 * @since 1.0.0
 */

if (function_exists('register_block_style')) {
    /**
     * Register block styles.
     *
     * @since 0.1
     *
     * @return void
     */
    function nexum_register_block_styles()
    {
        register_block_style(
            'core/navigation',
            array(
                'name' => 'hover-text-primary',
                'label' => 'Hover: Primary', 'nexum',
            )
        );
        register_block_style(
            'core/navigation',
            array(
                'name' => 'hover-text-secondary',
                'label' => 'Hover: Secondary', 'nexum',
            )
        );
        register_block_style(
            'core/navigation',
            array(
                'name' => 'hover-text-foreground',
                'label' => 'Hover: Foreground', 'nexum',
            )
        );
        register_block_style(
            'core/navigation',
            array(
                'name' => 'hover-text-foreground-alt',
                'label' => 'Hover: Foreground Alt', 'nexum',
            )
        );
        register_block_style(
            'core/group',
            array(
                'name' => 'group-border-primary',
                'label' => 'Border Top: Primary', 'nexum',
            )
        );
        register_block_style(
            'core/group',
            array(
                'name' => 'group-border-secondary',
                'label' => 'Border Top: Secondary', 'nexum',
            )
        );
        register_block_style(
            'core/group',
            array(
                'name' => 'group-border-gradient',
                'label' => 'Border Top: Gradient', 'nexum',
            )
        );
        register_block_style(
            'core/post-terms',
            array(
                'name' => 'categories-background-triple',
                'label' => 'Background: Primary, Secondary, Foreground', 'nexum',
            )
        );
        register_block_style(
            'core/post-terms',
            array(
                'name' => 'categories-background-double',
                'label' => 'Background: Primary, Secondary', 'nexum',
            )
        );
        register_block_style(
            'core/post-terms',
            array(
                'name' => 'categories-background-foreground-alt',
                'label' => 'Background: Foreground Alt', 'nexum',
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name' => 'title-hover-primary',
                'label' => 'Hover : Primary', 'nexum',
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name' => 'title-hover-secondary',
                'label' => 'Hover : Secondary', 'nexum',
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name' => 'title-hover-foreground',
                'label' => 'Hover : Foreground', 'nexum',
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name' => 'title-hover-foreground-alt',
                'label' => 'Hover : Foreground Alt', 'nexum',
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name' => 'title-hover-light',
                'label' => 'Hover : Light', 'nexum',
            )
        );
    }
    add_action('init', 'nexum_register_block_styles');
};
